Bug 165355 - CAN-2005-2471 netpbm should use the -dSAFER option when calling Ghostscript
CAN-2005-2471 netpbm should use the -dSAFER option when calling Ghostscript
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
impact=low,public=20050724,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 10:26 EDT by Josh Bressers
Modified: 2013-07-02 19:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-10 00:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-08-08 10:26:16 EDT
+++ This bug was initially created as a clone of Bug #165354 +++

pstopnm in netpbm does not properly use the "-dSAFER" option when calling
Ghostscript to convert convert a PostScript file into a (1) PBM, (2) PGM, or (3)
PNM file, which allows external user-complicit attackers to execute arbitrary
commands.

The Debian bug report has more information:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=319757
Comment 1 Josh Bressers 2005-08-08 10:26:57 EDT
This issue should also affect FC3
Comment 2 Josh Bressers 2005-08-08 10:40:26 EDT
twaugh says we should probably use the -dPARANOIDSAFER to also protect against
unwanted reads.
Comment 3 Jindrich Novy 2005-08-09 03:20:09 EDT
I added the -dPARANOIDSAFER option to the pstopnm. All seems to work fine with
this option.

It's fixed in rawhide for now.
Comment 4 Jindrich Novy 2005-08-10 00:36:42 EDT
FC3/FC4 errata for this issue are now out.

Note You need to log in before you can comment on or make changes to this bug.